"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function compileParams(original, params, wrap = false) {
    var _a, _b, _c, _d, _e;
    return original
        // Amount
        + (params.amount
            ? ((_a = params.amount) === null || _a === void 0 ? void 0 : _a.max)
                // Min, Max
                ? `{${(_b = params.amount) === null || _b === void 0 ? void 0 : _b.min},${(_c = params.amount) === null || _c === void 0 ? void 0 : _c.max}}`
                // Unlimited
                : ((_d = params.amount) === null || _d === void 0 ? void 0 : _d.min) ? `{${(_e = params.amount) === null || _e === void 0 ? void 0 : _e.min}}` : '+'
            : '')
        // Optional
        + (params.optional ? '?' : '');
}
exports.default = compileParams;
