"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TokenType;
(function (TokenType) {
    TokenType["Unknown"] = "unknown";
    // ?
    TokenType["Optional"] = "?";
    // +
    TokenType["Mutiple"] = "+";
    // group
    TokenType["Group"] = "group";
    // {
    TokenType["GroupStart"] = "{";
    // }
    TokenType["GroupEnd"] = "}";
    // !
    TokenType["Anonymous"] = "!";
    // (
    TokenType["ArgStart"] = "(";
    // ,
    TokenType["Comma"] = ",";
    // )
    TokenType["ArgEnd"] = ")";
    // ...
    TokenType["Pseudo"] = "...";
    // |
    TokenType["Or"] = "|";
    // &
    TokenType["And"] = "&";
    // match
    TokenType["Match"] = "match";
    // if
    TokenType["If"] = "if";
    // else
    TokenType["Else"] = "else";
    // define
    TokenType["Define"] = "define";
    // test
    TokenType["Test"] = "test";
    // Name
    TokenType["Name"] = "name";
    // Text
    TokenType["LiteralString"] = "literal_string";
    // Number
    TokenType["LiteralNumber"] = "literal_number";
})(TokenType || (TokenType = {}));
exports.default = TokenType;
