import type { Arguments, CommandBuilder } from "yargs";
import { CompileOutput } from "../helpers/compileString";
declare type Options = {
    path: string;
    dir?: boolean;
    out?: string;
};
export declare const command: string;
export declare const desc: string;
export declare const builder: CommandBuilder<Options, Options>;
export declare const handler: (argv: Arguments<Options>) => Promise<never>;
export declare const fn: (path: string, isDir: boolean, out: CompileOutput) => Promise<void>;
export {};
