import Token from "./type/Token";
import StatementContext from "./statement/StatementContext";
import ProgramStatement from "./statement/statements/ProgramStatement";
declare type ParserResult = {
    program: ProgramStatement;
    context: StatementContext;
};
export default class Parser {
    protected _debug: boolean;
    constructor(debug?: boolean);
    protected log(...messages: any[]): void;
    parse(tokens: Token[]): ParserResult;
}
export {};
