import IStatement from "./IStatement";
import StatementContext from "./StatementContext";
import StatementType from "./StatementType";
export default abstract class IParentStatement implements IStatement {
    type: StatementType;
    children: IStatement[];
    constructor(type: StatementType, children: IStatement[]);
    abstract serialize(ctx: StatementContext): string;
}
