import { MatcherParams } from "../../helpers/compileParams";
import IParentStatement from "../IParentStatement";
import IStatement from "../IStatement";
import StatementContext from "../StatementContext";
export default class GroupStatement extends IParentStatement {
    named?: string | null;
    params: MatcherParams;
    constructor(children: IStatement[], params: MatcherParams, named?: string | null);
    serialize(ctx: StatementContext): string;
}
