import IStatement from "../IStatement";
import StatementContext from "../StatementContext";
import StatementType from "../StatementType";
export default class IfElseStatement implements IStatement {
    type: StatementType;
    condition: IStatement[];
    branchIf: IStatement[];
    branchElse: IStatement[];
    constructor(condition: IStatement[], branchIf: IStatement[], branchElse: IStatement[]);
    serialize(ctx: StatementContext): string;
}
