import { MatcherParams } from "../../helpers/compileParams";
import IStatement from "../IStatement";
import StatementContext from "../StatementContext";
import StatementType from "../StatementType";
export declare type MatchPrimitive = {
    pseudo?: "behind" | "ahead";
    type: "define" | "literal";
    value: string;
};
export declare type MatchOperator = "or";
export default class MatchStatement implements IStatement {
    type: StatementType;
    operator: MatchOperator;
    values: MatchPrimitive[];
    params: MatcherParams;
    constructor(operator: MatchOperator, values: MatchPrimitive[], params?: MatcherParams);
    private serializeOne;
    serialize(ctx: StatementContext): string;
}
