"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const IParentStatement_1 = __importDefault(require("../IParentStatement"));
const StatementType_1 = __importDefault(require("../StatementType"));
class ProgramStatement extends IParentStatement_1.default {
    constructor(children) {
        super(StatementType_1.default.Program, children);
    }
    serialize(ctx) {
        return this.children.map(child => child.serialize(ctx)).join('');
    }
}
exports.default = ProgramStatement;
