import TokenType from "./TokenType";
declare type TokenPos = {
    column: number;
    line: number;
};
declare type TokenPosMatch = {
    start: TokenPos;
};
export default class Token {
    type: TokenType;
    value: string;
    pos: TokenPosMatch | null;
    constructor(type: TokenType, value: string, pos: TokenPosMatch | null);
}
export {};
